#!/bin/bash
#SBATCH --job-name="testMPI"
#SBATCH --time=01:00:00
#SBATCH --nodes=2
#SBATCH --ntasks-per-node=20
#SBATCH --cpus-per-task=1
#SBATCH --mem=56G
#SBATCH --output=testMPI%j.o
#SBATCH --error=testMPI%j.e

#SBATCH -A YOUR_PROJECT_ID_HERE


export OMP_NUM_THREADS=$SLURM_CPUS_PER_TASK
export I_MPI_FABRICS=shm:dapl

module load gnu/4.9.2
module load intel
module load intelmpi
module load ansys

echo "Running on : $SLURM_JOB_NODELIST"

exe=`which ansysdis170`
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/apps/applications/ANSYS/17.0/ansys_inc/v170/Framework/bin/Linux64/Mesa:/apps/applications/ANSYS/17.0/ansys_inc/v170/polyflow/polyflow17.0.0/lnamd64/libs:/apps/applications/ANSYS/17.0/ansys_inc/AnsysEM17.0/Linux64/defer:/apps/applications/ANSYS/17.0/ansys_inc/v170/commonfiles/MainWin/linx64/mw/lib-amd64_linux/X11SLES

for n in `echo $SLURM_NODELIST | /usr/bin/scontrol show hostnames`;  do \
           echo "-host $n-ib -envall -np $SLURM_NTASKS_PER_NODE $exe  -dis -mpi INTELMPI" >> nodelist.$SLURM_JOB_ID 
done;



ansys170  -dis -usessh -mpi intelmpi -mpifile nodelist.$SLURM_JOB_ID  < edet_test.dat > output.mpitasks.$SLURM_NTASKS.log.log


rm -f nodelist.$SLURM_JOB_ID


